#!/bin/sh
#
# author: Joerg Heinemann
# website: http://enterprise-log-management-appliance.org
# license: GPL v3
#
# /usr/share/elma-tests/bin/elma_probe.sh
#

# rsyslogd probe

SCRIPT_DESCRIPTION="rsyslogd probe"
SCRIPT_AUTHOR="Joerg Heinemann"

elasticsearchdiagindex=""
elasticsearchdiagindexnocompression=""

# ######### Load ELMA configuration parameter, global functions and script header #########
#
source /etc/elma/elma.conf ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi
source $ELMA_LIB_DIR/elma-global-functions.sh ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi
script_header ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi

export testsdir="$ELMA_TESTS_LIB_DIR" ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi
cd $testsdir ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi

# send 10.000 messages of 200 bytes plus header, 10 times
# Only 9 option parameter will be accepted!

source $testsdir/diag.sh tcpflood -d10 -m1 -R1 -S1 -c1 -Ttcp -p14514 -t127.0.0.1 ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi

echo